package formes;

import java.awt.Color;
import java.awt.geom.Point2D;

public class FormeColoree implements Forme {

	private Forme delegue;
	private Color encre;
	private Color fond;

	public FormeColoree(Forme f, Color encre, Color fond) {
		delegue = f;
		this.encre = encre;
		this.fond = fond;
	}

	@Override
	public Point2D centreGravite() {
		return delegue.centreGravite();
	}

	@Override
	public double perimetre() {
		return delegue.perimetre();
	}

	@Override
	public double surface() {
		return delegue.surface();
	}

	@Override
	public void placer(Point2D nouveauCentreGravite) {
		delegue.placer(nouveauCentreGravite);
	}

	@Override
	public void translater(double dx, double dy) {
		delegue.translater(dx, dy);
	}

	public String toString() {
		return delegue.toString() + " de couleur d'encre " + 
	encre + " et de couleur de fond " + fond;
	}

}
